MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000726VCMIMechanics - Battlespublic2011-05-12 04:412017-07-20 15:49
ReporterWarmonger 
Assigned ToFeniksFire 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSWindows 7OS Versionvanillia
Product Version0.84 
Target VersionFixed in Version0.next 
Summary0000726: Moat does no damage to creatures during siege
DescriptionHopefully it's clear how it should work.

I see you're working on battlefield obstacles, so it may be a good time to add this feature.
TagsNo tags attached.
Attached Files

- Relationships
related to 0001716assignedSXX No mines during siege of Tower with built Castle 
related to 0002577resolvedFeniksFire moat deals damage when open gates 

-  Notes
(0005620)
SXX (administrator)
2015-03-11 17:24

Moat still need attention. Currently it's not yet work correctly:
1 - In VCMI it's only does damage once when creature step into it, but in H3 it's apply damage on each turn while creature stays in it.
2 - Tower mines likely not implemented or broken. E.g they show damage animation each time, but do zero damage.
(0006251)
SXX (administrator)
2016-01-06 13:47
edited on: 2016-01-06 14:21

One more moat specific: currently code that handle damage from obstacle only apply damage from one obstacle. In same time in H3 it's possible to get damage from both moat and placed obstacle. Though there is different issue that prevent you from placing it like that: 0002366

Other important note: in case of Fortress there huge creatures may step in two hexes of moat simultaneously. In this case they only get damage from moat once.

So if you place Fire Wall in Fortress moat twice and then move large creature here then creature will be damaged 3 times: once from moat (even if standing on two moat hexes) and twice by Fire Wall (once for each hex with Fire Wall).

And one more important specific. Creature get damage from obstacles on end of each movement. So if creature get 2nd movement with good morale and remain in moat it's will get damage second time

(0007150)
SXX (administrator)
2017-07-20 15:49

Mostly everything implemented now.

- Issue History
Date Modified Username Field Change
2011-05-12 04:41 Warmonger New Issue
2011-05-12 04:41 Warmonger Status new => assigned
2011-05-12 04:41 Warmonger Assigned To => Tow dragon
2015-03-11 17:24 SXX Note Added: 0005620
2015-03-11 17:25 SXX Relationship added related to 0001716
2015-12-29 10:55 SXX Assigned To Tow dragon =>
2015-12-29 10:55 SXX Status assigned => confirmed
2016-01-06 13:47 SXX Note Added: 0006251
2016-01-06 14:21 SXX Note Edited: 0006251 View Revisions
2016-01-29 20:39 SXX Assigned To => SXX
2016-01-29 20:39 SXX Status confirmed => assigned
2017-07-20 15:49 SXX Note Added: 0007150
2017-07-20 15:49 SXX Status assigned => resolved
2017-07-20 15:49 SXX Fixed in Version => 0.next
2017-07-20 15:49 SXX Resolution open => fixed
2017-07-20 15:49 SXX Assigned To SXX => FeniksFire
2017-07-20 15:49 SXX Relationship added related to 0002577

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2017 MantisBT Team
Hosting provided by DigitalOcean